Bug 5269 - Improve Rpmdrake to display only the freshest version of every install candidate
: Improve Rpmdrake to display only the freshest version of every install candidate
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-03-25 01:49 MSK by Denis Silakov
Modified: 2015-03-30 11:13 MSD (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments
rpmdrake-new.jpg (119.67 KB, image/jpeg)
2015-03-25 11:50 MSK, FirstLevel
Details
rpmdrake-old.jpg (128.05 KB, image/jpeg)
2015-03-25 11:50 MSK, FirstLevel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Silakov 2015-03-25 01:49:05 MSK
Currently if some package is not installed then Rpmdrake displays all versions of this package found in repositories. For example, by default we don't have "desktopcouch" installed and if I go to Rpmdrake and look for "desktopcouch", I will get two packages - "desktopcouch-1.0.8-2" and "desktopcouch-1.0.8-3"

However, this doesn't make much sense since all our tools (including urpmi) by default install the latest versions of every package and even don't provide a way to install older versions. So presence of older versions in Rpmdrake only view confuse users.
Comment 1 Denis Silakov 2015-03-25 01:51:21 MSK
Advisory:
Update Rpmdrake to display only latest version of every package which is not installed.

Build lists:
https://abf.rosalinux.ru/build_lists/2475769
https://abf.rosalinux.ru/build_lists/2475770

Note for testers:
The patch is not perfect and in some cases you will still see two versions of the same package in Rpmdrake (for example, if one version is installed but a newer one is available). The patch doesn't fix all possible situations, but I believe that it makes Rpmdrake more user-friendly.
Comment 2 FirstLevel 2015-03-25 11:50:05 MSK
rpmdrake

32bit and 64bit

old
rpmdrake-old.jpg

plug container, update - ok

new
rpmdrake-new.jpg
Comment 3 FirstLevel 2015-03-25 11:50:21 MSK
Created attachment 3837 [details]
rpmdrake-new.jpg
Comment 4 FirstLevel 2015-03-25 11:50:36 MSK
Created attachment 3838 [details]
rpmdrake-old.jpg
Comment 5 FirstLevel 2015-03-25 13:14:35 MSK
32bit  newly installed
plug container, update in text mode, reboot, logon - ok

64bit  newly installed
plug container, update in GUImode, reboot, logon - ok
Comment 6 Vladimir Potapov 2015-03-26 16:43:01 MSK
The update is sent to expanded testing
**************************************
Comment 7 Vladimir Potapov 2015-03-30 08:57:09 MSD
rpmdrake-5.26.12-47
https://abf.rosalinux.ru/build_lists/2475769
https://abf.rosalinux.ru/build_lists/2475770
*********************** Advisory *******************************
Update Rpmdrake to display only latest version of every package which is not installed.
****************************************************************
QA Verified